Bug 56560 - Update/fix port: net/frost to latest snapshot (obsoletes ports/55249)
Summary: Update/fix port: net/frost to latest snapshot (obsoletes ports/55249)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-07 17:30 UTC by Stefan Walter
Modified: 2003-09-09 00:40 UTC (History)
1 user (show)

See Also:


Attachments
frost-20030906.patch (4.02 KB, patch)
2003-09-07 17:30 UTC, Stefan Walter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Walter 2003-09-07 17:30:07 UTC
	Note: the distfile of the current version of this port is
	unfetchable, so this update is somewhat urgent.
	This PR obsoletes ports/55249, which was an update to an older
	snapshot.

	The attached patch does:
	- update net/frost to latest snapshot
	- rename variable $JAVAVM in files/wrapper.sh, as it causes an
	  infinite loop in the javavmwrapper script (which has a variable of
	  the the same name)

How-To-Repeat: 	Install the port.
Comment 1 Erwin Lansing freebsd_committer 2003-09-08 08:21:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lioux

Over to  maintainer
Comment 2 Stefan Walter 2003-09-08 18:34:15 UTC
I made a new patch that can be applied to the version now in the ports
tree. (I'm not sure about PORTVERSION, though - if they have some sort
of scheme to name their versions, I don't see it.)

Two files need to be removed:
- pkg-message
- files/wrapper-convert.sh

Stefan

diff -urN frost.old/Makefile frost/Makefile
--- frost.old/Makefile	Mon Sep  8 02:45:12 2003
+++ frost/Makefile	Mon Sep  8 19:13:44 2003
@@ -2,15 +2,15 @@
 # Date created:				Fri May 2 05:35:53 UTC 2003
 # Whom:			Mario Sergio Fujikawa Ferreira <lioux@FreeBSD.org>
 #
-# $FreeBSD: ports/net/frost/Makefile,v 1.2 2003/09/08 00:45:12 lioux Exp $
+# $FreeBSD: ports/net/frost/Makefile,v 1.1 2003/05/02 08:09:29 lioux Exp $
 #
 
 PORTNAME=	frost
-PORTVERSION=	1.2.0.6
-CATEGORIES=	net java
+PORTVERSION=	20030906
+CATEGORIES=	net java security
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	jtcfrost
-DISTNAME=	${PORTNAME}-wot-071203-${PORTVERSION}
+DISTNAME=	${PORTNAME}-wot-090603
 
 MAINTAINER=	lioux@FreeBSD.org
 COMMENT=	File-sharing tool for FreeNet with Usenet like forum support
@@ -19,17 +19,16 @@
 USE_ZIP=	yes
 NO_BUILD=	yes
 NO_BUILD_DEPENDS_JAVA=	yes
-WRKSRC=		${WRKDIR}/${PORTNAME}
+WRKSRC=		${WRKDIR}
 PLIST_SUB=	JAR_DIR=${JAR_DIR}
 
 JAVAVM=		${LOCALBASE}/bin/javavm
 SHARE_DIR=	share/${PORTNAME}
 JAR_DIR=	share/java/jar/${PORTNAME}
 JAR_FILE=	frost.jar
-JAR_FILES=	frost/frost.jar frost/lib/fecImpl.jar \
-		frost/lib/genChkImpl.jar frost/lib/xercesImpl.jar \
-		frost/lib/xml-apis.jar frost/lib/xmlParserAPIs.jar \
-		convert/converter.jar
+JAR_FILES=	frost.jar lib/fecImpl.jar \
+		lib/genChkImpl.jar lib/xercesImpl.jar \
+		lib/xml-apis.jar lib/xmlParserAPIs.jar
 
 DOC_FILES=	doc/Frost.tex doc/authors.txt doc/gpl.txt \
 		help/faq.txt help/history.txt
@@ -41,17 +40,13 @@
 		s|%%JAR_FILE%%|${JAR_FILE}|; \
 		s|%%SHARE_DIR%%|${SHARE_DIR}|" \
 		${FILESDIR}/wrapper.sh > ${WRKDIR}/wrapper.sh
-	@${SED} -e "s|%%PREFIX%%|${PREFIX}|; \
-		s|%%JAVAVM%%|${JAVAVM}|; \
-		s|%%JAR_DIR%%|${JAR_DIR}|;" \
-		${FILESDIR}/wrapper-convert.sh > ${WRKDIR}/wrapper-convert.sh
 
 do-install:
 # docs
 .ifndef(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for doc in ${DOC_FILES}
-	@${INSTALL_DATA} ${WRKSRC}/${doc} ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKDIR}/${doc} ${DOCSDIR}
 .endfor
 .endif
 # jars
@@ -61,13 +56,9 @@
 .endfor
 # default boards
 	@${MKDIR} ${PREFIX}/${SHARE_DIR}
-	@${INSTALL_DATA} ${WRKSRC}/config/boards.xml.default \
+	@${INSTALL_DATA} ${WRKDIR}/config/boards.xml.default \
 		${PREFIX}/${SHARE_DIR}
 # wrapper
 	@${INSTALL_SCRIPT} ${WRKDIR}/wrapper.sh ${PREFIX}/bin/${PORTNAME:L}
-	@${INSTALL_SCRIPT} ${WRKDIR}/wrapper-convert.sh ${PREFIX}/bin/frost-convert
-
-post-install:
-	@${CAT} ${PKGMESSAGE} | ${SED} -e "s,%%PREFIX%%,${PREFIX},g"
 
 .include <bsd.port.mk>
diff -urN frost.old/distinfo frost/distinfo
--- frost.old/distinfo	Mon Sep  8 02:45:12 2003
+++ frost/distinfo	Mon Sep  8 19:13:44 2003
@@ -1 +1 @@
-MD5 (frost-wot-071203-upd6.zip) = 8d5a8ec22b1b814d8b7fd43529d42e5d
+MD5 (frost-wot-090603.zip) = b7f6b8de26caff027d889dad69476d5e
diff -urN frost.old/files/wrapper-convert.sh frost/files/wrapper-convert.sh
--- frost.old/files/wrapper-convert.sh	Mon Sep  8 02:45:12 2003
+++ frost/files/wrapper-convert.sh	Thu Jan  1 01:00:00 1970
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-PREFIX="%%PREFIX%%"
-JAVAVM="%%JAVAVM%%"
-JAR_DIR="%%JAR_DIR%%"
-CLASSPATH="${PREFIX}/${JAR_DIR}/converter.jar"
-
-exec ${JAVAVM} -cp ${CLASSPATH} converter
diff -urN frost.old/files/wrapper.sh frost/files/wrapper.sh
--- frost.old/files/wrapper.sh	Mon Sep  8 02:45:12 2003
+++ frost/files/wrapper.sh	Mon Sep  8 19:14:02 2003
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 PREFIX="%%PREFIX%%"
-JAVAVM="%%JAVAVM%%"
+JAVAVM_CALL="%%JAVAVM%%"
 JAR_DIR="%%JAR_DIR%%"
 JAR_FILE="%%JAR_FILE%%"
 SHARE_DIR="%%SHARE_DIR%%"
@@ -19,4 +19,4 @@
 fi
 
 cd ${HOME_DIR} &&
-	exec ${JAVAVM} -cp $CLASSPATH frost.frost "${@}"
+	exec ${JAVAVM_CALL} -cp $CLASSPATH frost.frost "${@}"
diff -urN frost.old/pkg-message frost/pkg-message
--- frost.old/pkg-message	Mon Sep  8 02:45:12 2003
+++ frost/pkg-message	Thu Jan  1 01:00:00 1970
@@ -1,7 +0,0 @@
-*********************************************
-You can use %%PREFIX%%/bin/frost-convert
-to convert your old Frost-WOT identities file
-to the new format. The identities file to be
-converted must be in your current work
-directory for the tool to find it.
-*********************************************
diff -urN frost.old/pkg-plist frost/pkg-plist
--- frost.old/pkg-plist	Mon Sep  8 02:45:12 2003
+++ frost/pkg-plist	Mon Sep  8 19:14:02 2003
@@ -1,12 +1,10 @@
 bin/frost
-bin/frost-convert
 share/java/jar/frost/frost.jar
 share/java/jar/frost/fecImpl.jar
 share/java/jar/frost/genChkImpl.jar
 share/java/jar/frost/xercesImpl.jar
 share/java/jar/frost/xml-apis.jar
 share/java/jar/frost/xmlParserAPIs.jar
-share/java/jar/frost/converter.jar
 share/frost/boards.xml.default
 %%PORTDOCS%%%%DOCSDIR%%/Frost.tex
 %%PORTDOCS%%%%DOCSDIR%%/authors.txt
Comment 3 Mario Sergio Fujikawa Ferreira freebsd_committer 2003-09-09 00:40:22 UTC
State Changed
From-To: open->closed

Committed with small changes, thanks!